Общие сведения

iikoCloud API (iikoTransport API) — это единая точка для использования функционала, предоставляемого iiko.

Описание

iiko – удобное и надежное решение, используемое самыми разными заведениями: от крошечных баров и кофеен до крупных сетей ресторанов с сотнями точек и развитой франшизой, от фудкорт-кафе до изысканных ресторанов, от проектов по доставке готовой еды на гастромаркеты.
Плагин iikoCloud for WooCommerce обеспечивает интеграцию iikoCloud API с WooCommerce:
  1. 1.
    Импорт организаций, терминалов, номенклатуры (категории блюд, товаров и блюд с размерами и модификаторами), видов оплаты, городов, улиц и столиков.
  2. 2.
    Экспорт заказов или доставок.
  3. 3.
    Автоматический импорт номенклатуры с использованием WP CRON.
  4. 4.
    Автоматическое обновление номенклатуры с помощью вебхуков iiko.

Отличия премиум-версии плагина от бесплатной

  1. 1.
    Продвинутый импорт блюд с размерами и групповыми модификаторами (в том числе и через внешнее меню iiko).
  2. 2.
    Дополнительные поля и настройки для страницы оформления заказа (здание, подъезд, домофон, этаж, квартира, доставка ко времени, количество персон, номер столика, количество бонусов, подсказка имени улицы, возможность скрыть не используемые поля - фамилия, страна, индекс и т. д.).
  3. 3.
    Автоимпорт номенклатуры по расписанию через заданный промежуток времени.
  4. 4.
    Поддержка зон доставки на Яндекс.Карте при оформлении заказа. Привязка зон доставки к методам доставки WooCommerce.
  5. 5.
    Бонусная система в виде фиксированного процента скидки на все заказы.
  6. 6.
    Заказ на кухню со столиков.
  7. 7.
    Обновление стоп-листов из iiko на сайте.
  8. 8.
    Обновление статусов заказов из iiko на сайте.
  9. 9.
    Два дополнительных метода доставки: самовывоз и бесплатная доставка - для ручного выбора терминала при экспорта заказа.
  10. 10.
    Привязка используемых на сайте методов оплаты WooCommerce к типам оплаты iiko.
  11. 11.
    Актуальные обновления обычной и премиум-версий плагина. Бесплатная версия плагина в каталоге WordPress обновляется только после выхода новой версии WordPress.

Системные требования

PHP 7.4 и выше (для премиум-версии плагина необходимо наличие расширения ionCube PHP Loader)
WordPress 5.5 и выше
WooCommerce 5.0 и выше

Полезные ссылки